November 2, 2013
View 039f52deb3

tls: include dprint.h where log functions are used

Daniel-Constantin Mierla authored on 02/11/2013 18:28:36
December 13, 2011
View 94204ce852

tls: rpc tls.info prints the limit and opened tls connections

Daniel-Constantin Mierla authored on 13/12/2011 22:08:50
August 4, 2011
View 816a021813

tls: safety check for current cipher

Daniel-Constantin Mierla authored on 04/08/2011 09:41:32
August 15, 2010
View cb90d8866c

tls: more config vars displayed by the tls.options RPC

Andrei Pelinescu-Onciul authored on 15/08/2010 23:04:18
June 4, 2010
View 1ea3a8c784

tls: tls.list rpc: fix timeout & ip display

Andrei Pelinescu-Onciul authored on 04/06/2010 20:20:16
View 0dbb49bd6e

tls: rpc: tls.list and tls.options update

Andrei Pelinescu-Onciul authored on 04/06/2010 16:43:15
May 28, 2010
View 7ac98ae71a

tls: added tls.options rpc

Andrei Pelinescu-Onciul authored on 28/05/2010 11:18:57
View e40e993ef9

tls: migrated to the runtime cfg framework

Andrei Pelinescu-Onciul authored on 28/05/2010 10:35:07
May 27, 2010
View 36ed3b92b0

tls: s/tls_cfg/tls_domains_cfg

Andrei Pelinescu-Onciul authored on 27/05/2010 15:20:16
May 26, 2010
View bdc512a7e5

tls: added tls_info rpc

Andrei Pelinescu-Onciul authored on 26/05/2010 13:53:33
October 10, 2009
View beeb174767

Changing license template

oej authored on 10/10/2009 12:10:43
View 9accd256fd

Adding doxygen documentation

oej authored on 10/10/2009 11:48:00
February 1, 2007
View fc660aae7d

- openssl compression bug detect/workaround enabled at runtime (if zlib compression is detected, we replace openssl version with ours). The previous version had this fix but it was enabled only at compile-time. - SSL_OP_TLS_BLOCK_PADDING_BUG option disabled if 0.9.8 <= openssl < 0.9.8c and compresion is used (check at runtime) - more start-up sanity checks: - check if openssl used library version is close enough to the library with which the tls module was compiled (header files) For now it checks for the same major, minor and fix level (e.g. 0.9.8a && 0.9.8c are ok, 0.9.7b and 0.9.8a are not) - try to auto-detect (using the compile flags) if the used library was compiled with kerberos support and if the tls module was compiled with the same setting (or else we won't be able to enable the kerberos bug workarround). - more verbose start-up messages and errors - warning fixes - 2 new module parameters: tls_disable_compression (default 0) tls_force_run (default 0) -- will ignore the start-up sanity checks and continue running even if the library version/options are different References: openssl bugs #1468, #1467 & #1204 (http://rt.openssl.org)

Andrei Pelinescu-Onciul authored on 01/02/2007 04:24:06
November 15, 2006
View b5c9bd68c5

- tls init updated to the new get_max_procs() use (not allowed from mod_init()) - tls-core.patch updated to the latest tcp changes - lots of warnings and/or small errors fixed

Andrei Pelinescu-Onciul authored on 15/11/2006 19:55:13
March 3, 2006
View e618d0eac5

- deallocate lock only if it was really allocated - implemented tls.init (lists all existing TLS connections)

Jan Janak authored on 03/03/2006 18:23:47